﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinTree;

namespace TreeHeadersAutoResize
{
    public partial class Form1 : Form
    {

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraTree1.Reset();
            ultraTree1.ViewStyle = ViewStyle.FreeForm;

            //a node creation
            UltraTreeNode washerNode = ultraTree1.Nodes.Add("0", "Products");
            UltraTreeColumnSet washerColumnSet = new UltraTreeColumnSet();
            

            washerNode.Override.ColumnSet = washerColumnSet;
            washerColumnSet.Columns.Add("ProductName");
            washerColumnSet.Columns.Add("Brand");
            washerColumnSet.Columns.Add("Wash Cycle");

            washerNode.Cells["ProductName"].Value = "Washer";
            washerNode.Cells["Brand"].Value = "GE";
            washerNode.Cells["Wash Cycle"].Value = "35 mins";

            //Here is the property which might be what you are looking for
            washerColumnSet.ColumnSettings.ColumnHeaderWrapText = DefaultableBoolean.True;



            //a node creation
            UltraTreeNode washerNode2 = ultraTree1.Nodes.Add("1", "Products1");
            UltraTreeColumnSet washerColumnSet2 = new UltraTreeColumnSet();
            washerColumnSet2.LabelPosition = NodeLayoutLabelPosition.None;
            washerNode2.Override.ColumnSet = washerColumnSet2;
            washerColumnSet2.Columns.Add("ProductName1");
            washerColumnSet2.Columns.Add("Brand1");
            washerColumnSet2.Columns.Add("Wash Cycle1");

            washerNode2.Cells["ProductName1"].Value = "Washer1";
            washerNode2.Cells["Brand1"].Value = "GE1";
            washerNode2.Cells["Wash Cycle1"].Value = "35 mins1";



            //a node creation
            UltraTreeNode washerNode3 = ultraTree1.Nodes.Add("2", "Products2");
            UltraTreeColumnSet washerColumnSet3 = new UltraTreeColumnSet();
            washerColumnSet3.LabelPosition = NodeLayoutLabelPosition.None;
            washerNode3.Override.ColumnSet = washerColumnSet3;
            washerColumnSet3.Columns.Add("ProductName3");
            washerColumnSet3.Columns.Add("Brand3");
            washerColumnSet3.Columns.Add("Wash Cycle3");

            washerNode3.Cells["ProductName3"].Value = "Washer3";
            washerNode3.Cells["Brand3"].Value = "GE3";
            washerNode3.Cells["Wash Cycle3"].Value = "35 mins3";
        }


    }
}
